Skip to main content
PUT
https://api.trillet.ai
/
v1
/
api
/
twilio
/
phone-numbers
/
{phoneNumberId}
/
config
Update Phone Number Configuration
curl --request PUT \
  --url https://api.trillet.ai/v1/api/twilio/phone-numbers/{phoneNumberId}/config \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --data '
{
  "agentId": "<string>",
  "maxCallDuration": 123,
  "recordingEnabled": true,
  "officeHours": {
    "enabled": true,
    "timezone": "<string>",
    "schedule": {}
  },
  "transferCallerIdMode": "<string>",
  "metadataTags": [
    {}
  ],
  "label": "<string>"
}
'
{
  "success": true
}

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Path Parameters

phoneNumberId
string
required
The unique identifier of the phone number.

Request Body

agentId
string
The call agent ID to assign to this phone number.
maxCallDuration
number
Maximum call duration in seconds.
recordingEnabled
boolean
Whether to enable call recording.
officeHours
object
Office hours configuration.
transferCallerIdMode
string
Caller ID mode for transfers. Options: “agent”, “customer”.
metadataTags
array
Array of metadata tag strings to assign.
label
string
A label for the phone number.

Response Fields

success
boolean
Whether the update was successful.
{
  "success": true
}